package com.ss.android.ugc.aweme.challenge.data;

import X.0BT;
import X.0BV;
import X.0BW;
import X.0BY;
import X.0Fe;
import X.0Fh;
import X.0Fk;
import X.0Fo;
import X.0Fw;
import X.0G9;
import X.0GA;
import X.1DC;
import X.C1456RiO;
import X.C1492Riy;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import java.util.HashMap;
import java.util.HashSet;

public final class LocalHashTagDataBase_Impl extends LocalHashTagDataBase {
    public volatile C1492Riy LJIIJ;

    static {
        Covode.recordClassIndex(55685);
    }

    public final 0Fw LIZ() {
        return new 0Fw(this, new HashMap(0), new HashMap(0), new String[]{"localHashTag"});
    }

    public final C1492Riy LJIIIIZZ() {
        C1492Riy riy;
        MethodCollector.i(17923);
        if (this.LJIIJ != null) {
            C1492Riy riy2 = this.LJIIJ;
            MethodCollector.o(17923);
            return riy2;
        }
        synchronized (this) {
            try {
                if (this.LJIIJ == null) {
                    this.LJIIJ = new C1456RiO(this);
                }
                riy = this.LJIIJ;
            } finally {
                MethodCollector.o(17923);
            }
        }
        return riy;
    }

    public final 0BY LIZIZ(0Fe r5) {
        1DC r3 = new 1DC(r5, new 0G9() {
            static {
                Covode.recordClassIndex(55686);
            }

            public final void LIZ() {
                if (LocalHashTagDataBase_Impl.this.LJI != null) {
                    int size = LocalHashTagDataBase_Impl.this.LJI.size();
                    for (int i = 0; i < size; i++) {
                        LocalHashTagDataBase_Impl.this.LJI.get(i);
                    }
                }
            }

            public final void LJFF(0BT r1) {
                0Fh.LIZ(r1);
            }

            public final void LIZIZ(0BT r2) {
                r2.LIZJ("CREATE TABLE IF NOT EXISTS `localHashTag` (`name` TEXT NOT NULL, `time` INTEGER, PRIMARY KEY(`name`))");
                r2.LIZJ("CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)");
                r2.LIZJ("INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, '0fdb23fe113307f93af74ceea527f0a9')");
            }

            public final void LIZ(0BT r4) {
                r4.LIZJ("DROP TABLE IF EXISTS `localHashTag`");
                if (LocalHashTagDataBase_Impl.this.LJI != null) {
                    int size = LocalHashTagDataBase_Impl.this.LJI.size();
                    for (int i = 0; i < size; i++) {
                        LocalHashTagDataBase_Impl.this.LJI.get(i);
                    }
                }
            }

            public final void LIZJ(0BT r4) {
                LocalHashTagDataBase_Impl.this.LIZ = r4;
                LocalHashTagDataBase_Impl.this.LIZ(r4);
                if (LocalHashTagDataBase_Impl.this.LJI != null) {
                    int size = LocalHashTagDataBase_Impl.this.LJI.size();
                    for (int i = 0; i < size; i++) {
                        LocalHashTagDataBase_Impl.this.LJI.get(i);
                    }
                }
            }

            public final 0GA LJ(0BT r10) {
                HashMap hashMap = new HashMap(2);
                hashMap.put("name", new 0Fk("name", "TEXT", true, 1, (String) null, 1));
                hashMap.put("time", new 0Fk("time", "INTEGER", false, 0, (String) null, 1));
                0Fo r4 = new 0Fo("localHashTag", hashMap, new HashSet(0), new HashSet(0));
                0Fo LIZ = 0Fo.LIZ(r10, "localHashTag");
                if (r4.equals(LIZ)) {
                    return new 0GA(true, (String) null);
                }
                return new 0GA(false, "localHashTag(com.ss.android.ugc.aweme.challenge.data.LocalHashTagItem).\n Expected:\n" + r4 + "\n Found:\n" + LIZ);
            }
        }, "0fdb23fe113307f93af74ceea527f0a9", "606e3395020db78e36e0b235c6657129");
        0BV LIZ = 0BW.LIZ(r5.LIZIZ);
        LIZ.LIZIZ = r5.LIZJ;
        LIZ.LIZJ = r3;
        return r5.LIZ.LIZ(LIZ.LIZ());
    }
}
